string method = "{{{method}}}";
string headers_str = $@"{{{headers_str}}}".Trim();

{ { { varables} } }
string url = $"{{{url}}}";

CXT.HttpRequestClient httpRequestClient = new CXT.HttpRequestClient(true);

string response = "";
if (method == "POST")
{
    string postData = $@"{{{post_data_string}}}".Trim();
    string real_postData = postData;
    if (postData.StartsWith("{") || postData.StartsWith("["))
    {
        //JSON格式赋值方式
        dynamic obj = Newtonsoft.Json.JsonConvert.DeserializeObject(postData);
        //POST内容赋值方式:
        //obj.day = "2023-04-11";
        real_postData = Newtonsoft.Json.JsonConvert.SerializeObject(obj);
    }
    else
        real_postData = postData;

    response = httpRequestClient.httpPost(url, headers_str, real_postData, Encoding.UTF8);
}
else
{
    response = httpRequestClient.httpGet(url, headers_str);
}